Bug 227430 - Tracker grouping script: group based on FQDN
Summary: Tracker grouping script: group based on FQDN
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Unspecified
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-17 21:57 UTC by Xenophon
Modified: 2012-04-19 17:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xenophon 2010-02-17 21:57:05 UTC
Version:           3.3.4 (using KDE 4.3.5)
Installed from:    Ubuntu Packages

It will be good if the tracker grouping script has an option to group based on the base domain name of the tracker rather than have separate entries for all variants in terms of subdomains and port numbers for a tracker.

For e.g.,

http://tracker1.example.com
http://tracker2.example.com
http://tracker1.example.com:1234
http://tracker1.example.com:1234/apasskey

Currently the script will add a separate entry for each of the above trackers listed above. It would be excellent if the script can optionally group all of the above to just:

http://*.example.com

Thanks!
Comment 1 Alexey Shildyakov 2010-05-30 18:15:03 UTC
It's useful for me
Comment 2 Joris Guisson 2012-04-19 17:17:23 UTC
Git commit 25d6c82dc24b51203ea2f315d58c6629bd8afcb4 by Joris Guisson.
Committed on 19/04/2012 at 19:16.
Pushed by guisson into branch 'master'.

Tracker grouping script now uses the domain name of the tracker

M  +1    -0    ChangeLog
M  +1    -0    ktorrent/groups/groupviewmodel.cpp
M  +14   -6    plugins/scripting/scripts/tracker_groups/tracker_groups.py

http://commits.kde.org/ktorrent/25d6c82dc24b51203ea2f315d58c6629bd8afcb4